# Interface QueryResultSource

#### Hierarchy

- QueryResultSource

- Defined in src/statemanager/WfsPermalink.js:34

#####
Index

### Properties

features
id
identifierAttributeField
label
limit
mergeComposants
pending
requestPartners
tooManyResults
totalFeatureCount

## Properties

### features

features: Feature<Geometry>[]

The matching features for this source.

- Defined in src/statemanager/WfsPermalink.js:35

### id

id: string | number

Identifier (can be not unique).

- Defined in src/statemanager/WfsPermalink.js:36

### identifierAttributeField

identifierAttributeField: string

The field to use to identify the feature.

- Defined in src/statemanager/WfsPermalink.js:45

### label

label: string

Label.

- Defined in src/statemanager/WfsPermalink.js:37

### limit

limit: number

The maximum number of features that can be returned for a query with this source.

- Defined in src/statemanager/WfsPermalink.js:38

### mergeComposants

mergeComposants: string[]

The original datasources merged in merged result.

- Defined in src/statemanager/WfsPermalink.js:46

### pending

pending: boolean

Is the request for this source still ongoing?

- Defined in src/statemanager/WfsPermalink.js:40

### requestPartners

requestPartners: string[]

The datasources of the request (which are summed in totalFeatureCount).

- Defined in src/statemanager/WfsPermalink.js:47

### tooManyResults

tooManyResults: boolean

If the last query for this source would return more features than the configured limit.

- Defined in src/statemanager/WfsPermalink.js:41

### totalFeatureCount

totalFeatureCount: number

If `tooManyResults` is `true`, this contains the total number of features.

- Defined in src/statemanager/WfsPermalink.js:43

Generated using TypeDoc